# class RDoc::PuppetTopLevel

PuppetTopLevel is a top level (usually a .pp/.rb file)

### Attributes

global[RW]
module_name[RW]

### Public Class Methods

all_facts() click to toggle source

    # File lib/puppet/util/rdoc/code_objects.rb, line 29
    def self.all_facts
      @@all_facts.values
    end

all_plugins() click to toggle source

    # File lib/puppet/util/rdoc/code_objects.rb, line 25
    def self.all_plugins
      @@all_plugins.values
    end

new(toplevel) click to toggle source
Calls superclass method

    # File lib/puppet/util/rdoc/code_objects.rb, line 21
    def initialize(toplevel)
      super(toplevel.file_relative_name)
    end